.bg-contain {
    background-size: contain !important;
}
.bg-cover {
    background-size: cover !important;
}
.bg-image {
    background-position: center;
    background-repeat: no-repeat;
    /* background-attachment: fixed; */
}

/* #################### */
/* #### Responsive #### */

/* Small devices potrait ( phones, 360px and up)  */
/* Samsung S20 Ultra */
@media screen and (min-width: 360px) and (orientation: portrait) {

    .banner_1 {
        background-image: url('../../img/banner/1-m.webp');
    }
    .banner_2 {
        background-image: url('../../img/banner/2-m.webp');
    }
    .banner_3 {
        background-image: url('../../img/banner/3-m.webp');
    }
    .banner_4 {
        background-image: url('../../img/banner/4-m.webp');
    }


    .modalNa.quickView, .modalNa.modalCart {
        width: 100%;
        max-width: 100%;
    }

    .modalNa.modalCart {
        padding-left: 5px;
        padding-right: 5px;
    }

    div.number {
        display: block;
        margin-bottom: 20px;
        margin-top: 20px;
    }
    h2.pTitle {
        margin-top: 20px !important;
    }

}

/* Small devices potrait ( phones, 390px and up)  */
/* Iphone 12 Pro */
@media screen and (min-width: 390px) and (orientation: portrait) { 

    .pSpec .number input {
        width: 65%;
    }
    .pSpec .number a {
        width: 15%;
    }

}

/* Small devices landscape (phones, 667px and up)  */
/* Iphone SE */
@media screen and (min-width: 667px) and (orientation: landscape) {

    .banner_1 {
        background-image: url('../../img/banner/1.webp');
    }
    .banner_2 {
        background-image: url('../../img/banner/2.webp');
    }
    .banner_3 {
        background-image: url('../../img/banner/3.webp');
    }
    .banner_4 {
        background-image: url('../../img/banner/4.webp');
    }

}	

/* Small devices landscape (phones, 740px and up)  */
/* Samsung Galaxy S8+ */
@media screen and (min-width: 740px) and (orientation: landscape) { }	

/* Small devices landscape (phones, 844px and up)  */
/* Iphone 12pro */
@media screen and (min-width: 844px) and (orientation: landscape) { }


/* Medium devices portrait (mini tablets, 720px and up)  */
@media screen and (min-width: 720px) and (orientation: portrait) { }

/* Medium devices portrait (tablets, 768px and up)  */
@media screen and (min-width: 768px) and (orientation: portrait) { }

/* Medium devices landscape (tablets, 1180px and up)  */
@media screen and (min-width: 1180px) and (orientation: landscape) { }


/* Large devices (desktops, 992px and up) PC Jadul */
@media (min-width: 992px) {

    .modalNa.quickView, .modalNa.modalCart {
        width: 900px;
        max-width: 900px;
    }
    div.number {
        display: inline-block;
    }

    .pSpec .number input {
        width: 60px;
    }
    .pSpec .number a {
        width: 40px;
    }

    h2.pTitle {
        margin-top: 0px !important;
    }

 }

/* Extra large devices (large desktops, 1200px and up)  */
@media (min-width: 1200px) { }

/* Extra large devices (gaming pc/laptop, 1535px and up)  */
@media (min-width: 1535px) { }

/* #### END Responsive Style #### */
/* #################### */

.product_list .col {
    margin-bottom: 30px;
}

div.pBox {
    height: auto;
}
div.pInfo {
    height: 110px;
}
.pNama {
    display: inline-block;
    height: 65px;
    overflow: hidden;
}


/* cart button */
.jangle-button {
    border-color: #19a07e;
    background-color: #19a07e;
    color: #FFF;

    animation: jangle 2.5s ease-in infinite;
}

@keyframes jangle {
    
    5% {
        transform: translateY(-20%); }
    10% {
        transform: translateY(20%); }
    15% {
        transform: translateY(-12%); }
    20% {
        transform: translateY(12%); }
    25% {
        transform: translateY(-9%); }
    30% {
        transform: translateY(9%); }
    100% {
        transform: translateY(9%); }

}



/* change transition duration to control the speed of fade effect */
.carousel-item {
    transition: transform .6s ease-in-out;
}

.carousel-fade .active.carousel-item-start,
.carousel-fade .active.carousel-item-end {
    transition: opacity 0s .6s;
}

.carousel-caption h5 {
    color: #333;
    font-size: var(--font-lg);
} 

.carousel-caption p {
    color: #333;
    font-size: var(--font-md);
} 

.carousel-caption {
    top: 50%;
    transform: translateY(-50%);
    bottom: initial;
}
